org.firstinspires.ftc.robotcore.external

## Interface Telemetry.Log

- Enclosing interface:
    Telemetry

      public static interface Telemetry.Log

  The `Telemetry.Log` in a `Telemetry` instance provides an append-only list of messages that appear on the driver station below the `Telemetry.Item`s of the `Telemetry`.
  See Also:
    `Telemetry.log()`, `Telemetry.addData(String, Object)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Telemetry.Log.DisplayOrder` `Telemetry.Log.DisplayOrder` instances indicate the desired ordering of a `Telemetry.log()`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String entry)` Adds a new entry the the log.
    `void` | `add(java.lang.String format, java.lang.Object... args)` Adds a new entry to the log.
    `void` | `clear()` Removes all entries from this `Telemetry.Log`
    `int` | `getCapacity()` Returns the maximum number of lines which will be retained in a `Telemetry.log()()` and shown on the driver station display.
    `Telemetry.Log.DisplayOrder` | `getDisplayOrder()` Returns the order in which data in log is to be displayed on the driver station.
    `void` | `setCapacity(int capacity)`
    `void` | `setDisplayOrder(Telemetry.Log.DisplayOrder displayOrder)`

- - ### Method Detail

    - #### getCapacity

          int getCapacity()

      Returns the maximum number of lines which will be retained in a `Telemetry.log()()` and shown on the driver station display.
      Returns:
        the maximum number of lines which will be retained in a `Telemetry.log()()`
      See Also:
        `setCapacity(int)`

    - #### setCapacity

          void setCapacity(int capacity)

      See Also:
        `getCapacity()`

    - #### getDisplayOrder

          Telemetry.Log.DisplayOrder getDisplayOrder()

      Returns the order in which data in log is to be displayed on the driver station.
      Returns:
        the order in which data in log is to be displayed on the driver station.
      See Also:
        `setDisplayOrder(DisplayOrder)`

    - #### setDisplayOrder

          void setDisplayOrder(Telemetry.Log.DisplayOrder displayOrder)

      See Also:
        `getDisplayOrder()`

    - #### add

          void add(java.lang.String entry)

      Adds a new entry the the log. Transmits the updated log to the driver station at the earliest opportunity.
      Parameters:
        `entry` - the new log entry to add

    - #### add

          void add(java.lang.String format,
                   java.lang.Object... args)

      Adds a new entry to the log. Transmits the updated log to the driver station at the earliest opportunity.
      Parameters:
        `format` - the format string used to format the log entry
        `args` - the data used to format the log entry

    - #### clear

          void clear()

      Removes all entries from this `Telemetry.Log`